<!--EDIT SUBCATEGORY FORM-->
<form name="categoryForm" novalidate ng-submit="vm.update(categoryForm.$valid, item)">
    <div class="modal-header">
        <h3>Edit Subcategory</h3>
    </div>
    <div class="modal-body col-sm-12">
        <!--Image-->
        <div class="form-group col-sm-4">
            <!--dropzone-->
            <div ngf-drop ngf-select ng-model="image" class="img-drop-box"
                 ratio="'1'"
                 ngf-drag-over-class="'dragover'"
                 ngf-multiple="false"
                 ngf-allow-dir="false"
                 accept="image/*"
                 ngf-pattern="'image/*'">

                <span ng-if="!image">Category image</span>

                <!--preview-->
                <div class="img-preview" ng-if="image || item.image"
                     ngf-src="image || item.image"
                     ngf-background="image || item.image"
                     ngf-resize="{width: 150, height: 150, quality: 0.9}"
                     ngf-no-object-url="false"></div>
                <!--/preview-->
            </div>

            <!--progress-->
            <span ng-if="inProgress">Uploading in progress...</span>

            <!--errors-->
            <ng-messages for="categoryForm.image.$error" role="alert">
                <ng-message ng-if="submitted" when="minSize">Image size must be greater than 10 kb</ng-message>
                <ng-message ng-if="submitted" when="maxSize">Image size must be less than 2 Mb</ng-message>
                <ng-message ng-if="submitted" when="pattern">Incorrect file type. Only images accepted!</ng-message>
                <ng-message ng-if="submitted" when="ratio">Incorrect aspect ratio.</ng-message>
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>

                <div class="error" ng-if="!item.image && submitted">Image is required!</div>
            </ng-messages>
        </div>
        <!--/Image-->

        <div class="col-sm-8">
            <!-- Parent -->
            <div class="form-group">
                <label>Category</label>
                <input type="hidden" name="parent" class="form-control" ng-model="parent.id" required>
                <input type="text" name="parentName" class="form-control" ng-model="parent.title" disabled>
            </div>
            <!--/Parent-->

            <!-- Title -->
            <div class="form-group">
                <label>Subcategory name</label>
                <input type="text" name="title" class="form-control" placeholder="Enter subcategory name"
                       ng-model="item.title"
                       required>
                <ng-messages for="categoryForm.title.$error" role="alert">
                    <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                </ng-messages>
            </div>
            <!--/Title-->
        </div>
    </div>

    <div class="modal-footer">
        <button ng-disabled="inProgress" class="btn btn-primary" type="submit">Save</button>
        <button ng-disabled="inProgress" class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>
</form>
<!--/EDIT SUBCATEGORY FORM-->

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
</script>